CARGO-METADATA(1)

NAME

cargo-metadata - Machine-readable metadata about the current project

SYNOPSIS

cargo metadata [OPTIONS]

DESCRIPTION

Output the resolved dependencies of a project, the concrete used versions including overrides, in machine-readable format.

OPTIONS

-h, --help
    Print this message.

--features FEATURES
    Space-separated list of features.

--all-features
    Build all available features.

--no-default-features
    Do not include the default feature.

--no-deps
    Output information only about the root package and don't fetch dependencies.

--manifest-path PATH
    Path to the manifest.

--format-version VERSION
    Format version [default: 1]. Valid values: 1.

-v, --verbose
    Use verbose output.

-q, --quiet
    No output printed to stdout.

--color WHEN
    Coloring: auto, always, never.

SEE ALSO

cargo(1)

COPYRIGHT

This work is dual-licensed under Apache 2.0 and MIT terms. See COPYRIGHT file in the cargo source distribution.